## sqsh 2.1.7

=== Makefile ===
#
#  Makefile.in,v 1.4 1996/02/15 02:18:28 gray Exp
#

prefix         = /usr/local
src_dir        = .
exec_prefix    = ${prefix}
bin_dir        = ${exec_prefix}/bin
inc_dir        = ${prefix}/include
lib_dir        = /lib
man_src        = $(src_dir)/doc
man_dir        = ${prefix}/man
conf_dir       = ${prefix}/etc

INSTALL        = $(src_dir)/autoconf/install-sh
INSTALL_PROG   = $(INSTALL) -c
INSTALL_DIR    = $(INSTALL) -d
INSTALL_DATA   = $(INSTALL) -c -m 644
INSTALL_MAN    = $(src_dir)/autoconf/install-man

SQSHRC_GLOBAL  = $(conf_dir)/sqshrc

MAN_PAGES      = sqsh.1
SRCS           = $(OBJS:.o=.c)
HEADERS        = 

SUBDIRS        = src
TARGET         = sqsh

build : build-subdirs

build-subdirs :
	@for dir in $(SUBDIRS); do \
		(cd $$dir; make) \
	done

clean : clean-subdirs

clean-subdirs :
	@for dir in $(SUBDIRS); do \
		(cd $$dir; make clean) \
	done

distclean : distclean-subdirs
	rm -f Makefile config.cache config.log config.status \
	      scripts/wrapper.sh scripts/make_wrapper.sh scripts/install.sh

distclean-subdirs :
	@for dir in $(SUBDIRS); do \
		(cd $$dir; make distclean) \
	done

install : build-subdirs
	@$(INSTALL_DIR) $(DESTDIR)$(bin_dir); \
	$(INSTALL_PROG) src/$(TARGET) $(DESTDIR)$(bin_dir)/$(TARGET); \
	$(INSTALL_DIR) $(DESTDIR)`dirname $(SQSHRC_GLOBAL)`; \
	if test -f $(DESTDIR)$(SQSHRC_GLOBAL); then \
		echo WARNING: You already have the file $(DESTDIR)$(SQSHRC_GLOBAL); \
		echo installed. This file will be left untouched. The version; \
		echo supplied with this installation will be installed as; \
		echo $(DESTDIR)$(SQSHRC_GLOBAL).new; \
		$(INSTALL_DATA) doc/global.sqshrc $(DESTDIR)$(SQSHRC_GLOBAL).new; \
	else \
		$(INSTALL_DATA) doc/global.sqshrc $(DESTDIR)$(SQSHRC_GLOBAL); \
	fi

install-wrapper : install
	@mv $(DESTDIR)$(bin_dir)/$(TARGET) $(DESTDIR)$(bin_dir)/$(TARGET).bin; \
	/bin/sh scripts/make_wrapper.sh scripts/wrapper.sh.in scripts/wrapper.sh; \
	$(INSTALL_PROG) scripts/wrapper.sh $(DESTDIR)$(bin_dir)/$(TARGET)

uninstall :
	rm -f $(DESTDIR)$(bin_dir)/$(TARGET) $(DESTDIR)$(bin_dir)/$(TARGET).bin

uninstall-wrapper: uninstall

install.man :
	 $(INSTALL_MAN) -s $(man_src) -d $(DESTDIR)$(man_dir) $(MAN_PAGES)

uninstall.man :
	 $(INSTALL_MAN) -u -d $(DESTDIR)$(man_dir) $(MAN_PAGES)

install.zman :
	 $(INSTALL_MAN) -c -u -d $(DESTDIR)$(man_dir) $(MAN_PAGES)

uninstall.zman :
	$(INSTALL_MAN) -c -u -d $(DESTDIR)$(man_dir) $(MAN_PAGES)

dist : build
	@/bin/sh scripts/make_wrapper.sh scripts/wrapper.sh.in scripts/wrapper.sh; \
	/bin/sh scripts/make_dist.sh
