## sqsh 2.5.16.1

=== cygwin/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  $Id: Makefile,v 1.2 2004/11/24 13:21:40 mpeppler Exp $
+#  $Id: Makefile,v 1.3 2013/02/25 10:54:25 mwesdorp Exp $
 #
 #  Makefile for sqsh on Cygwin
 #
@@ -202,7 +202,7 @@
 
 CORE           = \
 	sqsh_alias.o sqsh_args.o sqsh_avl.o sqsh_buf.o sqsh_cmd.o \
-	sqsh_compat.o sqsh_ctx.o sqsh_debug.o sqsh_env.o sqsh_error.o \
+	sqsh_compat.o sqsh_debug.o sqsh_env.o sqsh_error.o \
 	sqsh_expand.o sqsh_fd.o sqsh_filter.o sqsh_fork.o sqsh_func.o \
 	sqsh_getopt.o sqsh_global.o sqsh_history.o sqsh_init.o \
 	sqsh_job.o sqsh_readline.o sqsh_sig.o sqsh_sigcld.o sqsh_stdin.o \
