=== debian/changelog ===
sqsh (2.5.16.1-3+kali1) kali-dev; urgency=medium

  * Switch to dpkg-source 3.0 (quilt) format
  * Update Maintainer field
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Gbp-pq round trip
  * Import patch found in the Alpine repository
  * Remove debian/source.lintian-overrides

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 10 May 2024 16:32:13 +0700

sqsh (2.5.16.1-2) unstable; urgency=medium

  * Bump debhelper compat to 11.
  * Drop manual handling of config.sub, long obsolete.
  * Bump standards-version.
  * aclocal.m4: use AC_TRY_COMPILE instead of AC_TRY_RUN, for
    cross-buildability.  Thanks to Helmut Grohne for the patch.
    Closes: #910129.

 -- Steve Langasek <vorlon@debian.org>  Sun, 07 Oct 2018 21:54:29 -0700

sqsh (2.5.16.1-1) unstable; urgency=medium

  * New upstream release.  Closes: #717870.
    - debian/examples: adjust for new config example names.
  * Update Vcs-* fields.  Closes: #780466.
  * Add watch file.
  * Fix up further upstream regressions in multiarch library detection.
  * Cherry-pick compatibility with current FreeTDS from upstream CVS.
    Closes: #891671.
  * src/dsp_csv.c: Fix broken invocation of dsp_col() introduced in
    cherry-pick.
  * src/Makefile.in: handle building of the requisite sqsh_parse.a library
    (which should be done using automake + libtool, but, well)
  * Add build-depends on lemon.
  * Link against libXt, which is now used directly.

 -- Steve Langasek <vorlon@debian.org>  Tue, 25 Sep 2018 07:09:33 +0000

sqsh (2.1.7-4) unstable; urgency=high

  * src/sqsh_readline.c: update function prototype for compatibility with
    current readline.  Closes: #741753.
  * src/sqsh_readline.c: fix a latent bug where the wrong function was being
    passed to readline as the rl_completion_entry_function...

 -- Steve Langasek <vorlon@debian.org>  Mon, 17 Mar 2014 03:01:03 +0000

sqsh (2.1.7-3) unstable; urgency=low

  * Transition from lesstif2-dev to libmotif-dev.  Closes: #714666.

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Nov 2013 08:47:00 -0700

sqsh (2.1.7-2) unstable; urgency=low

  * Explicitly link to libXt instead of relying on lesstif to provide this.
    Thanks to Graham Inggs <graham@nerve.org.za> for the patch. (LP: #1134233)
  * Fix up LDFLAGS handling so we get relro hardening.

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Feb 2013 18:50:59 +0000

sqsh (2.1.7-1) unstable; urgency=low

  * New upstream release.  Closes: #645277, LP: #783527.
    - fixes segfault when specifying password in ~/.sqshrc.  Closes: #194065.
    - fixes hang on SIGPIPE from the pager.  Closes: #236374.
    - update build rules; we can now use DESTDIR instead of prefix.
    - and we can use dh_auto_build without modification
  * Bump debhelper compat to 9 for dpkg-buildflags.
  * Add Vcs-Bzr, Vcs-Browser headers.

 -- Steve Langasek <vorlon@debian.org>  Thu, 10 Nov 2011 01:03:19 +0000

sqsh (2.1-10) unstable; urgency=low

  * configure.in, aclocal.m4: nuke the custom 'AC_FIND_LIB' macro and
    sybase library filesystem walking from orbit; this does all the wrong
    things that AC_CHECK_LIB is designed to avoid, and results in us not
    finding freetds now that it's multiarched.  Closes: #639195.
  * configure.in, aclocal.m4: call 'test' instead of the non-portable '[[',
    just in case.
  * aclocal.m4: don't link against extra libraries on Linux that we don't
    need.
  * Bump to debhelper 7 and dh.
  * Bump Standards Version to 3.9.2, no changes needed.

 -- Steve Langasek <vorlon@debian.org>  Sun, 04 Sep 2011 01:04:47 +0000

sqsh (2.1-9) unstable; urgency=low

  * Build-depend on libreadline-dev instead of libreadline5-dev.
    Closes: #553860.
  * Build-conflict with tcl-dev, to avoid incorrectly linking against libtcl.
    This is not the libtcl you're looking for.
  * Add a Homepage: field.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Bump debhelper compat level to 7, adding ${misc:Depends} and dropping a
    few bits from debian/rules that are now redundant (but no dh conversion
    yet).
  * Don't ignore make clean failures.
  * Build-depend on autotools-dev, and pull in an updated config.sub at
    build time.  Closes: #536834.

 -- Steve Langasek <vorlon@debian.org>  Wed, 20 Jan 2010 03:56:58 -0800

sqsh (2.1-8) unstable; urgency=low

  * Rebuild against lesstif2-dev.  Closes: #374238.

 -- Steve Langasek <vorlon@debian.org>  Sun, 18 Jun 2006 12:59:19 -0700

sqsh (2.1-7) unstable; urgency=low

  * Rebuild against freetds 0.63 and libreadline5.

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Jul 2005 18:11:22 -0700

sqsh (2.1-6) unstable; urgency=low

  * Update the upstream url in debian/copyright
  * Remove references to libXmu in the configure script, since it's
    not used at all by the binary (closes: #249554).
  * Since we're now building with a newer autoconf, drop the --host
    option again.

 -- Steve Langasek <vorlon@debian.org>  Thu, 20 May 2004 22:10:59 -0500

sqsh (2.1-5) unstable; urgency=low

  * re-add the --host option to configure, since autoconf 2.13 doesn't
    work quite right without it; also, grab an updated config.sub script
    just in case. (closes: #184302)

 -- Steve Langasek <vorlon@debian.org>  Thu,  3 Apr 2003 13:39:44 -0600

sqsh (2.1-4) unstable; urgency=low

  * Call setlocale() on program startup, to properly initialize TDS
    locale settings from the environment.
  * Rebuild against libct1.
  * Update rules to comply with current version of policy.
  * Fix the manpage to point to the correct path for /etc/sqshrc.
  * Ship some more example sqshrc files.

 -- Steve Langasek <vorlon@debian.org>  Sun, 22 Sep 2002 13:45:57 -0500

sqsh (2.1-3) unstable; urgency=low

  * Rebuild against new freetds lib package name.  Adjust build-dep
    versioning accordingly.

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Sep 2002 17:37:20 -0500

sqsh (2.1-2) unstable; urgency=low


