=== debian/control ===
Source: sqsh
Section: utils
Priority: optional
XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
Maintainer: Kali Developers <devel@kali.org>
Build-Depends: debhelper (>= 11~), freetds-dev (>= 0.63), libmotif-dev, libxt-dev, libreadline-dev, autotools-dev, lemon
Build-Conflicts: tcl-dev
Standards-Version: 4.2.1
Homepage: http://sourceforge.net/projects/sqsh/
XS-Debian-Vcs-Git: https://salsa.debian.org/vorlon/sqsh.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/vorlon/sqsh
Vcs-Git: https://gitlab.com/kalilinux/packages/sqsh.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/sqsh

Package: sqsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: commandline SQL client for MS SQL and Sybase servers
 sqsh is a flexible commandline utility that uses the freetds libraries
 to connect to Sybase or Microsoft SQL servers.  It is a useful debugging
 tool for identifying problems with other SQL applications, and it can be
 used as a productivity tool in its own right:  unlike most SQL CLIs, sqsh's
 interactive shell lets you pipe the output of SQL queries directly to other
 Unix commands for further processing.
