=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -Wall

%:
	dh $@

override_dh_auto_configure:
	SYBASE=/usr dh_auto_configure -- --with-readline --with-motif

override_dh_auto_build:
	dh_auto_build -- LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
